Net::DNS::RR::TKEY(3)

NAME
Net::DNS::RR::TKEY - DNS TKEY resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS TKEY resource records.

METHODS

  algorithm
    $rr->algorithm($algorithm_name);
    print "algorithm = ", $rr->algorithm, "\n";

Gets or sets the domain name that specifies the name of the algorithm. The default algorithm is gss.microsoft.com

  inception
    $rr->inception(time);
    print "inception = ", $rr->inception, "\n";

Gets or sets the inception time as the number of seconds since 1 Jan 1970 00:00:00 UTC.

The default inception time is the current time.

  expiration
    $rr->expiration(time);
    print "expiration = ", $rr->expiration, "\n";

Gets or sets the expiration time as the number of seconds since 1 Jan 1970 00:00:00 UTC.

The default expiration time is the current time plus 1 day.

  mode
    $rr->mode(3);
    print "mode = ", $rr->mode, "\n";

Sets the key mode (see rfc2930). The default is 3 which corresponds to GSSAPI

  error
    print "error = ", $rr->error, "\n";

Returns the RCODE covering TKEY processing. See RFC 2930 for details.

  other_len
    print "other len = ", $rr->other_len, "\n";

Returns the length of the Other Data. Should be zero.

  other_data
    print "other data = ", $rr->other_data, "\n";

Returns the Other Data. This field should be empty.

BUGS
This code has not been extensively tested. Use with caution on production systems. See http://samba.org/ftp/samba/tsig-gss/ for an example usage.

COPYRIGHT
Copyright (c) 2000 Andrew Tridgell. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

ACKNOWLEDGMENT
The Net::DNS::RR::TKEY module is based on the TSIG module by Michael Fuhr and Chris Turbeville.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 2845